<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS Autocomplete</title>
      
      <!-- AngularJs Javascript File -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      <script type="text/javascript" src="resource/js/country.js"></script>	
      
      <!-- Bootstrap Css -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
      
      <style type="text/css">
      	li {
      		cursor: pointer;  
        }
        
        li:hover {
         	background-color: #f9f9f9;  
        }
      </style>
   </head>
   <body>
      <div id="angularAutocomplete" class="container">
         <h1 align="center" class="text-primary">AngularJS - AutoComplete Textbox</h1>
         <hr />
         <div ng-app="myApp" ng-controller="CountryController">
            <label for="country" class="text-secondary">Enter Country Name</label>       
            <input type="text" name="country" id="country" ng-model="country" ng-keyup="cname(country)" placeholder="Search country" class="form-control" />  
            <ul class="list-group" ng-hide="hidethis">
               <li class="list-group-item" ng-repeat="country_info in filterCountry" ng-click="fillInputBox(country_info)">{{country_info}}</li>
            </ul>
            <div>&nbsp;</div>
            <p id="pText" class="text-info">You Selected <strong>{{ country }}</strong></p>
         </div>
      </div>
   </body>
</html>